close @all
'- Abrimos el workfile (poner en esa direccin el lugar donde se encuentra el archivo + "\workfile")

wfopen "\\bcfs1\Departamento\Internacional\SASE\Research\passthrough fx\PT Mensual\Datos Paper" 

'- Acotamos la muestra
smpl 1991 2017


'Hacemos un grupo con las variables que utilizamos para ver su orden de integracin
'============================================================
group g1 IPC DOPINDEX TC CPIUSA 

'Logaritmos
'============================================================
for !i=1 to g1.@count
	%var=g1.@seriesname(!i)
	series l{%var}=log({%var})
next
'============================================================


'Prueba de Raiz Unitaria
'============================================================
for !i=1 to g1.@count
	%var=g1.@seriesname(!i)
		
	'Niveles
freeze(adf_{%var}) l{%var}.uroot 

	'Diferencia
freeze(adf_d{%var}) l{%var}.uroot(dif=1)
next

freeze(adf_tasa) tasa_act_bm.uroot

'- Estimaciones utilizando el tipo de cambio bilateral y generamos residuos para probar estacionariedad del mismo

equation eq_ipc_total_tc_Bilateral.ls DLOG(IPC) = C(1)+(C(2)+C(7)*MEI)*DLOG(TC)+(C(3)+C(8)*MEI)*DLOG(IPC(-1))+C(4)*DLOG(CPIUSA)+C(5)*D(TASA_ACT_BM(-2))

genr Resid_bilateral_tot = resid
freeze(adf_resid_b_t) resid_bilateral_tot.uroot

equation eq_ipc_trans_tc_bilateral.ls DLOG(IPC_T) = C(1)+(C(2)+C(7)*MEI)*DLOG(TC)+(C(3)+C(8)*MEI)*DLOG(IPC_T(-1))+C(4)*DLOG(CPIUSA)+C(5)*D(TASA_ACT_BM(-2))

genr Resid_bilateral_trans = resid
freeze(adf_resid_b_tr) resid_bilateral_trans.uroot

equation eq_ipc_notrans_tc_bilateral.ls DLOG(IPC_NT) = C(1)+(C(2)+C(7)*MEI)*DLOG(TC)+(C(3)+C(8)*MEI)*DLOG(IPC_NT(-1))+C(4)*DLOG(CPIUSA)+C(5)*D(TASA_ACT_BM(-2))

genr Resid_bilateral_notrans = resid
freeze(adf_resid_b_ntr) resid_bilateral_notrans.uroot

'- Estimaciones utilizando el tipo de cambio multilateral

equation eq_ipc_total_tc_multilateral.ls DLOG(IPC) = C(1)+(C(2)+C(7)*MEI)*DLOG(DOPINDEX)+(C(3)+C(8)*MEI)*DLOG(IPC(-1))+C(4)*DLOG(CPIUSA)+C(5)*D(TASA_ACT_BM(-2))

genr Resid_multilateral_tot = resid
freeze(adf_resid_m_t) resid_multilateral_tot.uroot

equation eq_ipc_trans_tc_multilateral.ls DLOG(IPC_T) = C(1)+(C(2)+C(7)*MEI)*DLOG(DOPINDEX)+(C(3)+C(8)*MEI)*DLOG(IPC_T(-1))+C(4)*DLOG(CPIUSA)+C(5)*D(TASA_ACT_BM(-2))

genr Resid_multilateral_trans = resid
freeze(adf_resid_m_tr) resid_multilateral_trans.uroot

equation eq_ipc_notrans_tc_multilateral.ls DLOG(IPC_NT) = C(1)+(C(2)+C(7)*MEI)*DLOG(DOPINDEX)+(C(3)+C(8)*MEI)*DLOG(IPC_NT(-1))+C(4)*DLOG(CPIUSA)+C(5)*D(TASA_ACT_BM(-2))

genr Resid_multilateral_notrans = resid
freeze(adf_resid_m_ntr) resid_multilateral_notrans.uroot


